Bug 136234 - screen paste bug
Summary: screen paste bug
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: screen   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-18 20:12 UTC by Josh Bressers
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 4.0.2-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-21 10:31:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2004-10-18 20:12:44 UTC
The FC installed screen package comes with the upstream example
screenrc file installed into /etc.  This file contains this block of
configuration foo

# Yet another hack:
# Prepend/append register [/] to the paste if ^a^] is pressed.
# This lets me have autoindent mode in vi.
register [ "\033:se noai\015a"
register ] "\033:se ai\015a"
bind ^] paste [.]

This breaks the ability to use C-a C-] to paste (which should work so
says the man page).  You can only use C-a C-] to paste while running vi.

If this section is removed, the C-a C-] pasting works as expected.


Note You need to log in before you can comment on or make changes to this bug.